package controller

import (
	"github.com/gin-gonic/gin"
	"hongze/hongze_yb/controller/response"
	response2 "hongze/hongze_yb/models/response"
	"hongze/hongze_yb/services/base_config"
)

// GetBusinessConf
// @Tags 公共模块
// @Summary  获取基本配置信息
// @Description 获取基本配置信息
// @Param Authorization	header string true "微信登录后获取到的token"
// @Success 200 {object} []logic.ApplyVariety "获取成功"
// @failure 400 {string} string "获取失败"
// @Router /base/business_conf [get]
func GetBusinessConf(c *gin.Context) {
	disclaimer, err := base_config.GetBusinessConfDisclaimer()
	if err != nil {
		response.FailData("获取失败", "获取配置信息失败，Err:"+err.Error(), c)
		return
	}
	data := response2.BusinessConfResp{Disclaimer: disclaimer}
	response.OkData("获取成功", data, c)
}
